org.eclipse.aether.artifact

## Interface ArtifactType

- All Known Implementing Classes:
    DefaultArtifactType

      public interface ArtifactType

  An artifact type describing artifact characteristics that are common for certain artifacts. Artifact types are a means to simplify the description of an artifact by referring to an artifact type instead of specifying the various properties individually.
  See Also:
    `ArtifactTypeRegistry`, `DefaultArtifact.DefaultArtifact(String, String, String, String, String, ArtifactType)`
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassifier()` Gets the classifier to use for artifacts of this type (unless explicitly overridden by the artifact).
    `String` | `getExtension()` Gets the file extension to use for artifacts of this type (unless explicitly overridden by the artifact).
    `String` | `getId()` Gets the identifier of this type, e.g.
    `Map<String,String>` | `getProperties()` Gets the properties to use for artifacts of this type (unless explicitly overridden by the artifact).

- - ### Method Detail

    - #### getId

          String getId()

      Gets the identifier of this type, e.g. "maven-plugin" or "test-jar".
      Returns:
        The identifier of this type, never `null`.
      See Also:
        `ArtifactProperties.TYPE`

    - #### getExtension

          String getExtension()

      Gets the file extension to use for artifacts of this type (unless explicitly overridden by the artifact).
      Returns:
        The usual file extension, never `null`.

    - #### getClassifier

          String getClassifier()

      Gets the classifier to use for artifacts of this type (unless explicitly overridden by the artifact).
      Returns:
        The usual classifier or an empty string if none, never `null`.

    - #### getProperties

          Map<String,String> getProperties()

      Gets the properties to use for artifacts of this type (unless explicitly overridden by the artifact).
      Returns:
        The (read-only) properties, never `null`.
      See Also:
        `ArtifactProperties`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.